Bug 245696 - databases/mydumper: fix build on GCC architectures
Summary: databases/mydumper: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-17 13:23 UTC by Piotr Kubaj
Modified: 2020-04-22 19:39 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)
pkubaj: merge-quarterly?


Attachments
patch (557 bytes, patch)
2020-04-17 13:23 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-04-17 13:23:46 UTC
Created attachment 213493 [details]
patch

This port uses libatomic, which is only in C11-compatible GCC. Cmake can't find it, so point to it explicitly to help it.

Also add USES=ssl, the port links to libssl.
Comment 1 commit-hook freebsd_committer 2020-04-21 19:49:02 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Apr 21 19:48:20 UTC 2020
New revision: 532402
URL: https://svnweb.freebsd.org/changeset/ports/532402

Log:
  Fix build on powerpc

  PR:		245696
  Submitted by:	pkubaj

Changes:
  head/databases/mydumper/Makefile
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-04-21 19:49:34 UTC
Committed. Thanks!
Comment 3 Piotr Kubaj freebsd_committer 2020-04-22 10:22:54 UTC
Version in quarterly is also broken, please MFH.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-04-22 15:15:07 UTC
MFH request was sent.
Comment 5 commit-hook freebsd_committer 2020-04-22 18:36:19 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Apr 22 18:36:10 UTC 2020
New revision: 532498
URL: https://svnweb.freebsd.org/changeset/ports/532498

Log:
  MFH: r532402

  Fix build on powerpc

  PR:		245696
  Submitted by:	pkubaj

  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/databases/mydumper/Makefile
Comment 6 Piotr Kubaj freebsd_committer 2020-04-22 19:39:01 UTC
BTW, build fixes have blanket approval.